> ## Documentation Index
> Fetch the complete documentation index at: https://help.decodo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate custom back connect endpoints

> Generate custom back connect endpoints for proxying for Residential subscription. If a default value is preset you don't need to actually include it in the request param query.



## OpenAPI

````yaml /api-reference/jero_public_api.yaml get /v2/endpoints-custom/back-connect
openapi: 3.1.0
info:
  title: Smartproxy
  version: '1.2'
servers:
  - url: https://api.decodo.com
security:
  - sec0: []
tags:
  - name: Sub-users
    description: Manage sub-users for Residential subscription
  - name: Whitelisted IPs
    description: Manage whitelisted IPs for Residential subscription
  - name: Endpoints
    description: Manage and generate proxy endpoints
  - name: Subscriptions
    description: Subscription information
paths:
  /v2/endpoints-custom/back-connect:
    get:
      tags:
        - Endpoints
      summary: Generate custom back connect endpoints
      description: >-
        Generate custom back connect endpoints for proxying for Residential
        subscription. If a default value is preset you don't need to actually
        include it in the request param query.
      operationId: generate-custom-back-connect-endpoints
      parameters:
        - name: username
          in: query
          description: Provide username for authorization. This param is **required**.
          schema:
            type: string
        - name: password
          in: query
          description: Provide password for authorization. This param is **required**.
          schema:
            type: string
        - name: session_type
          in: query
          description: >-
            Choose what session type should be used. Choose `sticky` for sticky
            sessions or `random` for rotating sessions. Default is `sticky`.
          schema:
            type: string
            enum:
              - sticky
              - random
            default: sticky
        - name: session_time
          in: query
          description: >-
            Session time in minutes, range is 1-1440(inclusive).  This param is
            **required** if param `sessionType` value is `sticky`. Default value
            is 10.
          schema:
            type: integer
            format: int32
            default: 10
        - name: country
          in: query
          description: Country Alpha2 code in lower case.
          schema:
            type: string
        - name: state
          in: query
          description: >-
            You can select state if country is USA(`us`). Provide full state
            name with underscore instead of a space. E.g. `new_york`.
          schema:
            type: string
        - name: city
          in: query
          description: >-
            Full city name in lowercase with underscore instead of a space. E.g.
            `new_orleans`.
          schema:
            type: string
        - name: output_format
          in: query
          description: Output format type. Default is `protocol:auth@endpoint`.
          schema:
            type: string
            enum:
              - protocol:auth@endpoint
              - endpoint:auth
              - auth@endpoint
            default: protocol:auth@endpoint
        - name: count
          in: query
          description: >-
            Count of routes that will be generated and returned. Min value is 1.
            Default is 10.
          schema:
            type: integer
            format: int32
            default: 10
        - name: page
          in: query
          description: Page of the routes(pagination). Min value is 1. Default is 1.
          schema:
            type: integer
            format: int32
            default: 1
        - name: response_format
          in: query
          description: >-
            What response type will be returned. Could be `json`, `txt` or
            `html`. Default is `json`.
          schema:
            type: string
            enum:
              - json
              - txt
              - html
            default: json
        - name: line_break
          in: query
          description: >-
            What line break will be used in response content. This is
            **required** if param `responseType` value is `txt`. Default is
            `\n`.
          schema:
            type: string
            enum:
              - \n
              - \r\n
              - \r
              - \t
            default: \n
        - name: domain
          in: query
          required: false
          description: >-
            What domain should be used for routes. Default is dedoco.com. ip is
            for using IP address instead of a domain.
          schema:
            type: string
            default: gate.decodo.com
        - name: ip
          in: query
          description: >-
            IP address to be used instead of a domain. This field is
            **required** if param `domain` value is `ip`. It always must contain
            port at the end e.g. `1.1.1.1:7000`.
          schema:
            type: string
        - name: protocol
          in: query
          description: What protocol should be used. Default is `http`
          schema:
            type: string
            enum:
              - http
              - https
            default: http
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: "[\n\t\"http:\\/\\/user-smith-sessionduration-1:ao5nf23j4n@gate.visitxiangtan.com:10000\",\n\t\"http:\\/\\/user-smith-sessionduration-1:ao5nf23j4n@gate.visitxiangtan.com:10001\",\n\t\"http:\\/\\/user-smith-sessionduration-1:ao5nf23j4n@gate.visitxiangtan.com:10002\",\n\t\"http:\\/\\/user-smith-sessionduration-1:ao5nf23j4n@gate.visitxiangtan.com:10003\",\n\t\"http:\\/\\/user-smith-sessionduration-1:ao5nf23j4n@gate.visitxiangtan.com:10004\",\n\t\"http:\\/\\/user-smith-sessionduration-1:ao5nf23j4n@gate.visitxiangtan.com:10005\",\n\t\"http:\\/\\/user-smith-sessionduration-1:ao5nf23j4n@gate.visitxiangtan.com:10006\",\n\t\"http:\\/\\/user-smith-sessionduration-1:ao5nf23j4n@gate.visitxiangtan.com:10007\",\n\t\"http:\\/\\/user-smith-sessionduration-1:ao5nf23j4n@gate.visitxiangtan.com:10008\",\n\t\"http:\\/\\/user-smith-sessionduration-1:ao5nf23j4n@gate.visitxiangtan.com:10009\"\n]"
              schema:
                type: array
                items:
                  type: string
                  example: >-
                    http://user-smith-sessionduration-1:ao5nf23j4n@gate.visitxiangtan.com:10000
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: "{\n\t\"message\": \"Invalid data provided.\",\n\t\"violations\": [\n\t\t\"sessionType: The value you selected is not a valid choice.\"\n\t]\n}"
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Invalid data provided.
                  violations:
                    type: array
                    items:
                      type: string
                      example: >-
                        sessionType: The value you selected is not a valid
                        choice.
      deprecated: false
      security: []
components: {}

````